summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Robby Workman <rw@rlworkman.net>2010-05-13 00:23:44 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:23:44 +0200
commit53cedc723cb63d31a6d61a870050a4c6d3b98742 (patch)
treee9c4d89239772cfcedad120e6167ea0c41cc2131 /desktop
parent1c3bad2eeeb5ea50a5dc96a5cd62d8ac1646af88 (diff)
downloadslackbuilds-53cedc723cb63d31a6d61a870050a4c6d3b98742.tar.gz
slackbuilds-53cedc723cb63d31a6d61a870050a4c6d3b98742.tar.xz
desktop/xfce4-mount-plugin: Updated for version 0.5.5
Diffstat (limited to 'desktop')
-rw-r--r--desktop/xfce4-mount-plugin/doinst.sh10
-rw-r--r--desktop/xfce4-mount-plugin/slack-desc8
-rw-r--r--desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild20
-rw-r--r--desktop/xfce4-mount-plugin/xfce4-mount-plugin.info2
4 files changed, 34 insertions, 6 deletions
diff --git a/desktop/xfce4-mount-plugin/doinst.sh b/desktop/xfce4-mount-plugin/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/desktop/xfce4-mount-plugin/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/xfce4-mount-plugin/slack-desc b/desktop/xfce4-mount-plugin/slack-desc
index b8ff70117c..60806a0393 100644
--- a/desktop/xfce4-mount-plugin/slack-desc
+++ b/desktop/xfce4-mount-plugin/slack-desc
@@ -1,3 +1,11 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
xfce4-mount-plugin: xfce4-mount-plugin (a mount plugin for the Xfce panel)
xfce4-mount-plugin:
xfce4-mount-plugin: The mount plugin behaves like the 'kwikdisk'
diff --git a/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild b/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
index 9c032caf42..c8371d27d0 100644
--- a/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
+++ b/desktop/xfce4-mount-plugin/xfce4-mount-plugin.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for xfce4-mount-plugin
-# Copyright 2006-2008 Robby Workman, Northport, Alabama, USA
+# Copyright 2006-2009 Robby Workman, Northport, Alabama, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -35,10 +35,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -61,6 +64,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--enable-shared=yes \
--enable-static=no \
--enable-debug=no \
@@ -70,17 +74,21 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
- $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/xfce4-mount-plugin/xfce4-mount-plugin.info b/desktop/xfce4-mount-plugin/xfce4-mount-plugin.info
index 951521628e..ab9c9e5dc2 100644
--- a/desktop/xfce4-mount-plugin/xfce4-mount-plugin.info
+++ b/desktop/xfce4-mount-plugin/xfce4-mount-plugin.info
@@ -2,7 +2,9 @@ PRGNAM="xfce4-mount-plugin"
VERSION="0.5.5"
HOMEPAGE="http://goodies.xfce.org/"
DOWNLOAD="http://goodies.xfce.org/releases/xfce4-mount-plugin/xfce4-mount-plugin-0.5.5.tar.bz2"
+DOWNLOAD_x86_64=""
MD5SUM="1d237468fe23e4e8c29195d9b99c4c5d"
+MD5SUM_x86_64=""
MAINTAINER="Robby Workman"
EMAIL="rw@rlworkman.net"
APPROVED="David Somero"